struts-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jason Carreira <forum-struts-...@opensymphony.com>
Subject Re: Renaming XWork packages (was Poll: What part of a Struts...)
Date Wed, 14 Jun 2006 09:20:07 GMT
> Is this really an issue?  If users are running WW2.2
> with Struts2 
> everything should be fine, so this case will be only
> when running WW2.0 
> or WW1 with Struts2 - correct?  And it would only be
> a problem when 
> running in the same web application (and thus same
> class loader).
> 
> I'll probably get some slack for this, but isn't the
> goal to try to 
> provide an upgrade path for Struts users and not
> pre-WW2.2 user?
> 
> /Ian
> 

No, it's probably not fine... As we make XWork 2.0 API incompatible with 1.x, for instance
by using JDK 5 features, you won't be able to use the XWork version for WW 2.x with SAF2 +
XWork2. 

I'm +1 for com.opensymphony.xwork2
---------------------------------------------------------------------
Posted via Jive Forums
http://forums.opensymphony.com/thread.jspa?threadID=34229&messageID=66754#66754


---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@struts.apache.org
For additional commands, e-mail: dev-help@struts.apache.org


Mime
View raw message